Bug 1660054 - Review Request: reportd - D-Bus interop layer for libreport
Summary: Review Request: reportd - D-Bus interop layer for libreport
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-17 11:55 UTC by Ernestas Kulik
Modified: 2019-01-11 04:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 04:33:48 UTC
msuchy: fedora-review+


Attachments (Terms of Use)

Description Ernestas Kulik 2018-12-17 11:55:54 UTC
Spec URL: https://raw.githubusercontent.com/ernestask/rpms/reportd/reportd.spec
SRPM URL: https://github.com/ernestask/rpms/raw/reportd/reportd-0.1-3.git030161b.fc29.src.rpm
Description: A D-Bus service that exports libreport functionality
Fedora Account System Username: ekulik

[First package alert]

I’m a new engineer on the ABRT team, and we want to use reportd as the backend in certain Cockpit plugins (abrt, systemd) to provide problem reporting capabilities. While reportd itself is maintained by a person, who is no longer with the team, we are trying to get ownership sorted out. Worst case scenario is us maintaining a fork.

https://koji.fedoraproject.org/koji/taskinfo?taskID=31508271

Comment 1 Miroslav Suchý 2018-12-17 12:46:23 UTC
I will do the review.

Comment 3 Miroslav Suchý 2018-12-20 06:17:58 UTC
Macro %{commit} is not defined. I guess you do not need it now.

Comment 5 Miroslav Suchý 2018-12-20 09:37:33 UTC
- Header files in -devel subpackage, if present.
  Note: reportd-debugsource : /usr/src/debug/reportd-0.2-2.fc28.x86_64/dbus
  /report-dbus-generated.h reportd-debugsource :
  /usr/src/debug/reportd-0.2-2.fc28.x86_64/service/report-daemon.h reportd-
  debugsource : /usr/src/debug/reportd-0.2-2.fc28.x86_64/service/report-
  service.h reportd-debugsource :
  /usr/src/debug/reportd-0.2-2.fc28.x86_64/service/report-task.h

AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: reportd-0.2/configure.ac:22

Comment 6 Ernestas Kulik 2018-12-20 09:58:32 UTC
(In reply to Miroslav Suchý from comment #5)
> - Header files in -devel subpackage, if present.
>   Note: reportd-debugsource : /usr/src/debug/reportd-0.2-2.fc28.x86_64/dbus
>   /report-dbus-generated.h reportd-debugsource :
>   /usr/src/debug/reportd-0.2-2.fc28.x86_64/service/report-daemon.h reportd-
>   debugsource : /usr/src/debug/reportd-0.2-2.fc28.x86_64/service/report-
>   service.h reportd-debugsource :
>   /usr/src/debug/reportd-0.2-2.fc28.x86_64/service/report-task.h

Those are debugsource packages. Shouldn’t come up after https://pagure.io/FedoraReview/c/d59ddf63c24e9d282029f0c8c352e42284f1fdff.

> AutoTools: Obsoleted m4s found
> ------------------------------
>   AC_PROG_LIBTOOL found in: reportd-0.2/configure.ac:22

Comment 8 Miroslav Suchý 2018-12-21 09:40:07 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/dbus-1,
     /usr/share/dbus-1/services
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in reportd-
     debuginfo , reportd-debugsource
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.

APPROVED

Comment 9 Miroslav Suchý 2018-12-21 09:42:36 UTC
I sponsored you into Fedora packagers group.

Comment 10 Gwyn Ciesla 2018-12-26 14:28:38 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/reportd

Comment 11 Fedora Update System 2019-01-02 14:31:39 UTC
reportd-0.4.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a3fe3ecef0

Comment 12 Fedora Update System 2019-01-03 05:07:53 UTC
reportd-0.4.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a3fe3ecef0

Comment 13 Fedora Update System 2019-01-11 04:33:48 UTC
reportd-0.4.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.